.menu-section {
  width: 100%;
  height: 100%;

  opacity: 0;
  overflow: hidden;

  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  z-index: var(--z-index-200);

  transform: translateY(-100%);
  transition: transform 0.6s ease-in-out;

  padding-top: var(--header-height);
  margin: 0 auto;
}

.menu-section.open {
  height: 100%;
  transform: translateY(0);
  opacity: 1;
}

.menu-section-background {
  width: 1000vw;
  height: calc(100% + 5px);
  position: absolute;
  left: -100vw;
  top: -2px;
  background-color: var(--background-grey);
  z-index: -1;
}

.menu-section-content {
  height: 100%;
}

.menu-section-content .header {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: var(--space-42) 0 var(--space-32) 0;
  margin-left: 24%;
}

/* .menu-section-content .header .menu-title {
  font-size: var(--font-36);
  line-height: 125%;
} */

.menu-section-content .header .close-btn {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-section-content .header .close-icon {
  width: 100%;
  height: 100%;
  stroke: var(--extra-white);
}

.menu-section-content .body {
  display: flex;
  align-items: stretch;
  max-height: calc(100% - 128px);

  position: relative;
}

.menu-links-dropdown {
  display: none !important;
}

.menu-links-container {
  width: calc(24% - 60px);
  display: flex;
  flex-shrink: 1;
  position: relative;
  z-index: var(--z-index-100);

  margin-right: var(--space-60);
  margin-bottom: var(--space-40);
}

.menu-links-list {
  display: flex;
  flex-direction: column;
  padding-right: var(--space-3);

  position: absolute;
}

.menu-links-list .button {
  width: fit-content;
  position: relative;

  display: flex;
  align-items: center;
  align-self: flex-end;

  font-size: var(--font-18) !important;
  text-transform: none;
  text-align: end;

  margin: 0 var(--space-16) var(--space-16) 0;
}

.menu-links-list .button::after {
  content: "";
  width: 0;
  height: 1px;

  display: block;

  position: absolute;
  left: 50%;
  bottom: 0px;

  background: var(--accent-red);

  transform: translate(-50%);
  transition: 0.3s;
}

.menu-links-list .button:hover:after {
  width: 100%;
}

.menu-cars-list {
  width: 76%;
  max-height: fit-content;

  display: grid;
  grid-template-columns: repeat(3, fit-content(33%));
  grid-template-rows: repeat(3, auto);
  gap: var(--space-10);

  overflow: hidden;
  padding-bottom: var(--space-60);
}

.menu-car-item {
  height: 100%;
  max-width: 100%;
  max-height: 100%;

  aspect-ratio: 380/214;

  position: relative;
  overflow: hidden;
}

.menu-car-item .car-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s ease;
}

.menu-car-item .car-mark {
  position: absolute;

  top: 9%;
  right: 5%;

  transform: scale(0.25);
  transform-origin: top right;
}

.bentley,
.aston-martin {
  top: 12% !important;
}

.rolls-royce,
.ferrari {
  top: 6% !important;
}

.jaguar,
.lexus {
  top: 4% !important;
}

.menu-car-item:hover .car-image {
  transform: scale(1.1);
}

.menu-car-item .text {
  position: absolute;
  bottom: 5%;
  left: 5%;
  font-size: var(--font-18);
  text-transform: uppercase;
}

@media (max-width: 1600px) {
  .menu-cars-list .car-mark {
    transform: scale(0.2);
  }

  .menu-cars-list .text {
    font-size: var(--font-16);
  }
}

@media (max-width: 1440px) {
  .menu-section-content {
    row-gap: var(--space-16);
    column-gap: var(--space-24);
  }

  .menu-section-content .header {
    padding: var(--space-24) 0;
  }

  .menu-section-content .header .menu-title {
    font-size: var(--font-30);
  }

  .menu-section-content .header .close-btn {
    width: 30px;
    height: 30px;
  }

  .menu-section-content .body {
    max-height: calc(100% - 85px);
  }

  .menu-links-list .button {
    margin-right: var(--space-16);
    /* margin-bottom: var(--space-12); */
    line-height: 100%;
  }

  .menu-cars-list {
    gap: var(--space-12);
  }

  .menu-cars-list .text {
    font-size: var(--font-12);
  }

  .menu-cars-list .car-mark {
    transform: scale(0.18);
  }

  .jaguar,
  .lexus {
    top: 8px !important;
  }
}

@media (max-width: 1200px) {
  .menu-section-content {
    row-gap: var(--space-12);
    column-gap: var(--space-12);
  }

  .menu-section-content .header .menu-title {
    font-size: var(--font-28);
  }

  .menu-section-content .body {
    max-height: calc(100% - 83px);
  }

  .menu-cars-list .car-mark {
    transform: scale(0.15);
  }

  .menu-cars-list .text {
    font-size: var(--font-12);
  }

  .menu-links-container {
    width: calc(24% - 20px);
    margin-right: var(--space-20);
  }

  /* .menu-links-list .button {
    margin-bottom: var(--space-8);
  } */
}

@media (max-width: 1023px) {
  .menu-section-content .header {
    padding: var(--space-40) 0 var(--space-22) 0;
  }

  .menu-section-content .body {
    max-height: calc(100% - 97px);
  }

  .menu-links-container {
    width: calc(23% - 16px);

    margin-right: var(--space-16);
    margin-bottom: var(--space-40);
  }

  .menu-cars-list {
    width: 77%;

    grid-template-columns: repeat(2, fit-content(50%));
    grid-template-rows: repeat(5, auto);

    padding-bottom: var(--space-40);
  }

  .menu-car-item {
    aspect-ratio: 272/154;
  }

  .menu-car-item .text {
    font-size: var(--font-14);
  }
}

@media (max-width: 767px) {
  .menu-section .content-wrapper {
    background-color: var(--background-grey);
  }

  .menu-section-background {
    display: none;
  }

  .menu-section-content .header {
    padding: var(--space-40) 0 var(--space-28) 0;
    margin: 0;
  }

  .menu-section-content .header .menu-title {
    font-size: var(--font-22);
  }

  .menu-section-content .body {
    max-height: calc(100% - 97px);

    flex-wrap: wrap;
    overflow-y: scroll;
  }

  .menu-links-container {
    display: none;
  }

  .menu-cars-list {
    width: 100%;
    height: 100%;

    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: auto;
  }

  .menu-car-item {
    aspect-ratio: 312/176;
  }

  .menu-cars-list .car-mark {
    transform: scale(0.35);
  }

  .menu-cars-list .text {
    font-size: var(--font-18);
  }

  .menu-links-dropdown {
    min-width: 100%;
    display: flex !important;

    border: none !important;
    padding: 0 !important;
    margin-bottom: var(--space-24);
  }

  .menu-links-dropdown .custom-select {
    width: 100%;
  }

  .menu-links-dropdown .custom-select .value,
  .menu-links-dropdown .custom-option {
    font-size: var(--font-18);
  }
}

@media (max-width: 580px) {
  .menu-cars-list .car-mark {
    transform: scale(0.3);
  }

  .menu-cars-list .text {
    font-size: var(--font-18);
  }
}

@media (max-width: 480px) {
  .menu-cars-list .car-mark {
    transform: scale(0.25);
  }
}

@media (max-width: 400px) {
  .menu-cars-list .text {
    font-size: var(--font-14);
  }
}